Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# MotionInfo Class Reference

Contains information about the motions which are executed by the Motion process. More...

`#include <MotionInfo.h>`

Collaboration diagram for MotionInfo:

[legend]
List of all members.

## Public Member Functions
| MotionInfo ()
| Constructor.
## Public Attributes
MotionRequest | executedMotionRequest
| The motion request which is executed by the MotionControl module.
bool | motionIsStable
| If true, the motion is stable, leading to a valid camera matrix.
double | neckHeight
| The height of the neck joint in mm as estimated by the motion modules.
double | bodyTilt
| The tilt of the body in rad.
double | positionInWalkCycle
| The position inside the step of the walking engine slides from 0 to 1 during one step.

## Detailed Description

Contains information about the motions which are executed by the Motion process.

Author:
  Martin Lötzsch

Definition at line 22 of file MotionInfo.h.

## Constructor & Destructor Documentation

MotionInfo::MotionInfo | ( |  | ) |

| Constructor. Definition at line 12 of file MotionInfo.cpp.

## Member Data Documentation

MotionRequest MotionInfo::executedMotionRequest

| The motion request which is executed by the MotionControl module. Definition at line 29 of file MotionInfo.h. Referenced by GT2005BallLocator::calculateRobotSpeedValue(), GT2005MotionControl::execute(), GT2005CollisionDetector::execute(), MotionRatingBehaviorControl::execute(), KickLogger::execute(), InvKinWalkingEngine::executeParameterized(), GT2005WalkingEngine::executeParameterized(), GT2004WalkingEngine::executeParameterized(), GT2005GetupEngine::executeParameterized(), MotionRequestSymbols::getExecutedSpecialActionType(), GT2003MotionNetSpecialActions::getNextData(), MotionRequestSymbols::getSpeedX(), MotionRequestSymbols::getSpeedY(), KickLoggerSymbols::kickLoggerSetExecuteState(), GT2005BehaviorControl::postExecute(), MotionRequestSymbols::registerSymbols(), and MotionRatingBehaviorControl::stand().

bool MotionInfo::motionIsStable

| If true, the motion is stable, leading to a valid camera matrix. Definition at line 32 of file MotionInfo.h. Referenced by GT2005SensorDataProcessor::buildCameraMatrix(), GT2005SensorDataProcessor::execute(), InvKinWalkingEngine::executeParameterized(), GT2005WalkingEngine::executeParameterized(), GT2004WalkingEngine::executeParameterized(), GT2005GetupEngine::executeParameterized(), and GT2003MotionNetSpecialActions::getNextData().

double MotionInfo::neckHeight

| The height of the neck joint in mm as estimated by the motion modules. Definition at line 35 of file MotionInfo.h. Referenced by GT2005SensorDataProcessor::execute(), InvKinWalkingEngine::executeParameterized(), GT2005WalkingEngine::executeParameterized(), GT2004WalkingEngine::executeParameterized(), GT2005GetupEngine::executeParameterized(), GT2003MotionNetSpecialActions::getNextData(), and GT2003MotionNetSpecialActions::readOdometryTable().

double MotionInfo::bodyTilt

| The tilt of the body in rad. Definition at line 38 of file MotionInfo.h. Referenced by GT2005SensorDataProcessor::execute(), InvKinWalkingEngine::executeParameterized(), GT2005WalkingEngine::executeParameterized(), GT2004WalkingEngine::executeParameterized(), and GT2003MotionNetSpecialActions::getNextData().

double MotionInfo::positionInWalkCycle

| The position inside the step of the walking engine slides from 0 to 1 during one step. Definition at line 44 of file MotionInfo.h. Referenced by GT2005MotionControl::execute(), InvKinWalkingEngine::executeParameterized(), GT2005WalkingEngine::executeParameterized(), GT2004WalkingEngine::executeParameterized(), GT2005HeadControlSymbols::getPositionInWalkCycle(), MotionRequestSymbols::getPositionInWalkCycle(), GT2005HeadControlSymbols::getReleasingBallLeftIsPossible(), and GT2005HeadControlSymbols::getReleasingBallRightIsPossible().

The documentation for this class was generated from the following files:

- Representations/Motion/MotionInfo.h
- Representations/Motion/MotionInfo.cpp